customer-addresses
Update customer address
Updates the saved address identified by {id} (also passed as
address_id) with the fields under address. Requires a customer bearer
token. Returns 404 when the address is not found, 422 on validation
failure, and 401 when unauthenticated.
PATCH
/
api
/
checkout
/
v2026-04
/
customers
/
me
/
addresses
/
{id}
Update customer address
curl --request PATCH \
--url https://api.fluid.app/api/checkout/v2026-04/customers/me/addresses/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"address_id": 123,
"address": {
"name": "<string>",
"address1": "<string>",
"address2": "<string>",
"city": "<string>",
"state": "<string>",
"postal_code": "<string>",
"country_id": 123,
"country_code": "<string>",
"phone": "<string>",
"default": true
}
}
'import requests
url = "https://api.fluid.app/api/checkout/v2026-04/customers/me/addresses/{id}"
payload = {
"address_id": 123,
"address": {
"name": "<string>",
"address1": "<string>",
"address2": "<string>",
"city": "<string>",
"state": "<string>",
"postal_code": "<string>",
"country_id": 123,
"country_code": "<string>",
"phone": "<string>",
"default": True
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
address_id: 123,
address: {
name: '<string>',
address1: '<string>',
address2: '<string>',
city: '<string>',
state: '<string>',
postal_code: '<string>',
country_id: 123,
country_code: '<string>',
phone: '<string>',
default: true
}
})
};
fetch('https://api.fluid.app/api/checkout/v2026-04/customers/me/addresses/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"address": {
"address1": "<string>",
"address2": null,
"address3": null,
"city": "<string>",
"country_code": "<string>",
"country_num_code": 123,
"default": true,
"id": 123,
"name": "<string>",
"phone": "<string>",
"postal_code": "<string>",
"state": "<string>",
"subdivision_code": null
},
"fluid_pay_account": {
"id": 123
},
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"message": "<string>"
}{
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}{
"error_message": "<string>",
"errors": "<string>",
"meta": {
"request_id": "<string>",
"timestamp": "2023-11-07T05:31:56Z"
}
}Authorizations
Bearer token authentication
Path Parameters
Address ID
Body
application/json
⌘I
Update customer address
